Jump to content
We've recently updated our Privacy Statement, available here. ×

How to migrate to a different server and upgrade spotfire version


Natsuki Nakagawa

Recommended Posts

Hi

I'm trying upgrade spotfire from 7.10 to 10.3. In addition, I also want to doserver migration.

Here are the steps I did.

Oracle database export. (old server)

Oracle database import.(New Server)

Spotfire 10.3.1 install.(New Server))

Then I try to do upgrade tool, but It doesn't work.

What should I do next Is the prcedure I did wrong

 

Please tell me how to upgrade and migrate Spotfire.

Link to comment
Share on other sites

Hi nn,

What error messages are displayed Is that maybe that "no sqljdbc_auth in java.library.path" is available

In that case, you can copy this specific dll file from the 7.10 folder (/tomcat/bin) to the one for Spotfire 10.3.1 (/jdk/jre/bin). And then you should be able to continue the upgrade.

An other workaround, we did, was adding this file to a C:/Java folder and added it manually to the Path in environment variables.

Let me know if this is the issue you're facing or that it is somehing else you encounter.

 

Kind regards,

David Boot-Olazabal

Link to comment
Share on other sites

Hi nn,

 

Did you start the upgradetool seperately from the Spotfire installation I normally choose the Run the upgradetool from the last window during the installation of Spotfire. Nevertheless, it might be that you need to start the upgradetool.bat as an administrator.

If that doesn't make a difference, try starting the configuration tool first, to check if the database is properly connected. Otherwise, you might have to fix that first before running the upgrade.

Kind regards,

David Boot-Olazabal

Link to comment
Share on other sites

Hi nn,

 

 

 

Ok, I see. You can start indeed by creating a new bootstrap. You may also need to start the configuration tool via the run as administrator option. We had problems in the past saving the bootstrap afterwards...

 

Let me know if that solves the issue of the error message when opening the config tool.

 

 

 

Kind regards,

 

David

 

 

Link to comment
Share on other sites

Hi nn,

 

These are the steps I normally take:

 

- install new Spotfire software on Spotfire server(s) (in case of existing older version, stop the services first);

 

- if it concerns an upgrade, launch the Upgrade Tool when the installation has succesfully finished;

 

- copy the configuration from an older version or don't copy the configuration if not applicable;

 

- connect to the database with the user that created the database in the first place. So be sure to have the correct user account (at least this is what I've done on SQL Server, I assume Oracle works the same way);

 

- The upgrade should start , executing scripts and finish succesfully.

 

In case you have more than one Spotfire server (in a cluster), you need to install the software on all the servers, but you ony have to run the upgrade once.

 

Once the upgrade has finished, you then can proceed to load the nodemanager packages and client packages and deploy them on the server. Save the deployment area and update your services (webplayer, automation services).

 

Once done, I always restart all servers to be sure everything works fine and no installation files are pending.

 

This has always worked out for me. 

 

Kind regards,

 

David Boot-Olazabal

Link to comment
Share on other sites

  • 5 months later...

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...